

if [ ! -z $PHAROSVIS_HOME ] ; then
  echo ""
  echo "*Your environment is already set up for Video Image Similarity Search"
  return 0
fi


if [ ! -f "setup.bash" ] ; then
  echo "You must source the script from within the VideoIS home directory"
  return 1
fi

# Need to run this script from its own directory instead of whichever directory it may be called from
thisdir=`pwd`
taildir=${thisdir##*/}


if [ -z $GSDL3SRCHOME ] ; then
  cd ../..
  source gs3-setup.sh
  cd "$thisdir"
fi

export PHAROSVIS_SRC_HOME=`pwd`
#export PHAROSVIS_HOME=$PHAROSVIS_SRC_HOME/web
export PHAROSOS=$GSDLOS

export PATH=$PHAROSVIS_SRC_HOME/bin/script:$PHAROSVIS_SRC_HOME/bin/$PHAROSOS:$PATH
export GSDL3EXTS=$taildir:$GSDL3EXTS

echo ""
echo "+Your environment is now set up for Video Image Similarity Search"

return 0
  
 